/** \mainpage xPCI-3009 API functions documentation
* \section intro_sec Introduction
* See the PCI3009.h file to view the functions list \n
* See the DEFINE.h file to view the define list 
*/


#ifndef DLL_COMPILER_C

   #define DLL_COMPILER_C          0
   #define DLL_COMPILER_PASCAL     1
   #define DLL_LABVIEW             3
   #define DLL_COMPILER_VB_5       4
   #define DLL_COMPILER_VB_6       4

#endif

#ifndef PCHAR_	

   /*********************************************************/
   /* DEFINE the type for the compilation of user's program */
   /*********************************************************/

   /** Define the type for the parameter of the function */
   //#define	 LONGLONG	__int64;
   #define	 CHAR_	   CHAR
   #define	 BYTE_	   BYTE
   #define	 INT_	   INT
   #define	 WORD_	   WORD  
   #define	 LONG_	   LONG
   #define	 DWORD_	   DWORD
   #define	 VOID_	   VOID

   #define	 PCHAR_	   PCHAR
   #define	 PBYTE_	   PBYTE
   #define	 PINT_	   PINT
   #define	 PWORD_	   PWORD
   #define	 PLONG_	   PLONG
   #define	 PDWORD_   PDWORD	  
   #define	 PVOID_	   PVOID
#endif

#ifndef __COMPILER__
   /** Define the type for the return of the function */
   #ifdef _BORLANDC_
      #ifdef __cplusplus
         #define	 _CHAR_	   extern "C" _import CHAR far _stdcall
         #define	 _BYTE_	   extern "C" _import BYTE far _stdcall
         #define	 _INT_	   extern "C" _import INT far _stdcall
         #define	 _WORD_	   extern "C" _import WORD far _stdcall
         #define	 _LONG_	   extern "C" _import LONG far _stdcall
         #define	 _DWORD_   extern "C" _import DWORD far _stdcall	  
         #define	 _VOID_	   extern "C" _import VOID far _stdcall

         #define	 _PCHAR_   extern "C" _import PCHAR far _stdcall	  
         #define	 _PBYTE_   extern "C" _import PBYTE far _stdcall	  
         #define	 _PINT_	   extern "C" _import PINT far _stdcall
         #define	 _PWORD_   extern "C" _import PWORD far _stdcall	  
         #define	 _PLONG_   extern "C" _import PLONG far _stdcall	  
         #define	 _PDWORD_  extern "C" _import PDWORD far _stdcall	  
         #define	 _PVOID_   extern "C" _import PVOID far _stdcall	  
      #else
         #define	 _CHAR_	   _import CHAR far _stdcall
         #define	 _BYTE_	   _import BYTE far _stdcall
         #define	 _INT_	   _import INT far _stdcall
         #define	 _WORD_	   _import WORD far _stdcall
         #define	 _LONG_	   _import LONG far _stdcall
         #define	 _DWORD_   _import DWORD far _stdcall	  
         #define	 _VOID_	   _import VOID far _stdcall

         #define	 _PCHAR_   _import PCHAR far _stdcall	  
         #define	 _PBYTE_   _import PBYTE far _stdcall	  
         #define	 _PINT_	   _import PINT far _stdcall
         #define	 _PWORD_   _import PWORD far _stdcall	  
         #define	 _PLONG_   _import PLONG far _stdcall	  
         #define	 _PDWORD_  _import PDWORD far _stdcall	  
         #define	 _PVOID_   _import PVOID far _stdcall	  
      #endif
   #else
      #ifdef __cplusplus
         #define	 _CHAR_	   CHAR far _stdcall
         #define	 _BYTE_	   BYTE far _stdcall
         #define	 _INT_	   INT far _stdcall 
         #define	 _WORD_	   WORD far _stdcall
         #define	 _LONG_	   LONG far _stdcall
         #define	 _LONGLONG_	   LONGLONG far _stdcall
         #define	 _DWORD_   DWORD far _stdcall	  
         #define	 _VOID_	   far _stdcall

         #define	 _PCHAR_   PCHAR far _stdcall	  
         #define	 _PBYTE_   PBYTE far _stdcall	  
         #define	 _PINT_	   PINT far _stdcall
         #define	 _PWORD_   PWORD far _stdcall	  
         #define	 _PLONG_   PLONG far _stdcall	  
         #define	 _PDWORD_  PDWORD far _stdcall	  
         #define	 _PVOID_   PVOID far _stdcall	  
      #else
         #define	 _CHAR_	   CHAR far _stdcall
         #define	 _BYTE_	   BYTE far _stdcall
         #define	 _INT_	   INT far _stdcall
         #define	 _WORD_	   WORD far _stdcall
         #define	 _LONG_	   LONG far _stdcall
         #define	 _DWORD_   DWORD far _stdcall	  
         #define	 _VOID_	   VOID far _stdcall

         #define	 _PCHAR_   PCHAR far _stdcall	  
         #define	 _PBYTE_   PBYTE far _stdcall	  
         #define	 _PINT_	   PINT far _stdcall
         #define	 _PWORD_   PWORD far _stdcall	  
         #define	 _PLONG_   PLONG far _stdcall	  
         #define	 _PDWORD_  PDWORD far _stdcall	  
         #define	 _PVOID_   PVOID far _stdcall	  

      #endif
   #endif
#endif



