/** @file Utils.c
 *
 *  @authors S. Beuque, J. Krauth, L. Sartory
 *  @date    Creation: 25.04.2016
 *  @date    $LastChangedDate: 2013-02-01 15:02:09 +0100 (Fr, 01 Feb 2013) $
 *  @version $LastChangedRevision: 3764 $
 *
 *  @par DESCRIPTION
 *  Miscellaneous sample utilities 
 *
 *  @par LICENCE
 *  @verbatim
 *  Copyright (C) 2009 - 2016 ADDI-DATA GmbH
 *
 *  ADDI-DATA GmbH
 *  Airpark Business Center
 *  Airport Boulevard B210
 *  77836 Rheinmnster
 *  Germany
 *  Tel: +49(0)7229/1847-0    |  Fax: +49(0)7229/1847-200
 *  http://www.addi-data-com  |  info@addi-data.com
 *  @endverbatim
 **/

#ifndef __UTILS_H__
#define __UTILS_H__

#include "../Include/PCI3009.h"

_INT_ i_Utils_OpenBoard(DWORD *ph_BoardHandle);
LONGLONG ll_Utils_ReadInteger(LONGLONG l_MinValue, LONGLONG l_MaxValue, PCHAR pc_Description, ...);
_VOID_ v_Utils_DisplayRunningStatus();

#endif // __UTILS_H__
